Get a menu item by ID
Path Parameters
- Type: integermenu
Id requiredMenu item ID
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/menu/{menuId}
curl https://test.boost.space/api/menu/1 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"updated": "2026-01-15T09:30:00Z",
"updatedUserId": 42,
"modified": "2026-01-15T09:30:00Z",
"entityId": 42,
"parentId": 42,
"customModuleId": 42,
"spaceId": 42,
"type": "module",
"module": "string",
"view": "string",
"content": "string",
"target": "string",
"order": 1,
"name": "Sample name",
"color": "#1f6feb",
"icon": "string",
"display": true,
"users": [
1
],
"teams": [
1
],
"categories": [
1
]
}Menu object